## org.apache.fop.dom.css
Class CSSPrimitiveValueImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.css.CSSValueImpl
            |
            +--org.apache.fop.dom.css.CSSPrimitiveValueImpl

public class CSSPrimitiveValueImpl
extends CSSValueImpl
implements org.w3c.dom.css.CSSPrimitiveValue

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSPrimitiveValueImpl()`

Method Summary
`org.w3c.dom.css.Counter` `getCounterValue()`
`float` `getFloatValue(short unitType)`
`short` `getPrimitiveType()`
`org.w3c.dom.css.Rect` `getRectValue()`
`org.w3c.dom.css.RGBColor` `getRGBColorValue()`
`java.lang.String` `getStringValue()`
`void` `setFloatValue(short unitType, float floatValue)`
`void` `setStringValue(short stringType, java.lang.String stringValue)`

Methods inherited from class org.apache.fop.dom.css.CSSValueImpl
`getCssText, getValueType, setCssText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSSPrimitiveValueImpl

    public CSSPrimitiveValueImpl()

Method Detail

### getPrimitiveType

    public short getPrimitiveType()

  Specified by:
    getPrimitiveType in interface org.w3c.dom.css.CSSPrimitiveValue

### setFloatValue

    public void setFloatValue(short unitType,
                              float floatValue)

  Specified by:
    setFloatValue in interface org.w3c.dom.css.CSSPrimitiveValue

### getFloatValue

    public float getFloatValue(short unitType)

  Specified by:
    getFloatValue in interface org.w3c.dom.css.CSSPrimitiveValue

### setStringValue

    public void setStringValue(short stringType,
                               java.lang.String stringValue)

  Specified by:
    setStringValue in interface org.w3c.dom.css.CSSPrimitiveValue

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    getStringValue in interface org.w3c.dom.css.CSSPrimitiveValue

### getCounterValue

    public org.w3c.dom.css.Counter getCounterValue()

  Specified by:
    getCounterValue in interface org.w3c.dom.css.CSSPrimitiveValue

### getRectValue

    public org.w3c.dom.css.Rect getRectValue()

  Specified by:
    getRectValue in interface org.w3c.dom.css.CSSPrimitiveValue

### getRGBColorValue

    public org.w3c.dom.css.RGBColor getRGBColorValue()

  Specified by:
    getRGBColorValue in interface org.w3c.dom.css.CSSPrimitiveValue

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.